# Generated from reek-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name reek
%global rubyabi 1.9.1

Summary: Code smell detector for Ruby
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.3.1
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://wiki.github.com/troessner/reek
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(ruby_parser) => 3.1.1
Requires: %{?scl_prefix}rubygem(ruby_parser) < 3.2
Requires: %{?scl_prefix}rubygem(sexp_processor) 
Requires: %{?scl_prefix}rubygem(ruby2ruby) => 2.0.2
Requires: %{?scl_prefix}rubygem(ruby2ruby) < 2.1
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Reek is a tool that examines Ruby classes, modules and methods
and reports any code smells it finds.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


%files
%dir %{gem_instdir}
%{_bindir}/reek
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/config
%exclude %{gem_instdir}/.*

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/License.txt
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/features
%doc %{gem_instdir}/reek.gemspec
%doc %{gem_instdir}/spec
%doc %{gem_instdir}/tasks

%changelog
* Tue Jul 30 2013 Steve Linabery <slinaber@redhat.com> - 1.3.1-1
- Initial package
